### Signal

# Gtk ScrolledWindow::scroll-child

#### Declaration

    gboolean
    scroll_child (
      GtkScrolledWindow* self,
      GtkScrollType* scroll,
      gboolean horizontal,
      gpointer user_data
    )

#### Description [src]

Emitted when a keybinding that scrolls is pressed.

This is a keybinding signal.

The horizontal or vertical adjustment is updated which triggers a signal that the scrolled window’s child may listen to and scroll itself.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Signal can be directly emitted on objects from user code

#### Parameters

`scroll`

  Type: `GtkScrollType`

  A `GtkScrollType` describing how much to scroll.

  The data is owned by the caller of the function.

`horizontal`

  Type: `gboolean`

  Whether the keybinding scrolls the child horizontally or not.

#### Return value

Type: `gboolean`

No description available.